/* Copyright (C) 2008, The Perl Foundation. */
/* $Id: /mirror/trunk/config/auto/gettext/gettext.in 26112 2008-02-27T18:10:33.429911Z particle  $ */

#define PACKAGE   "hello"
#define LOCALEDIR "."

#include <stdio.h>
#include <stdlib.h>
#include <libintl.h>
#include <locale.h>

int main(int argc, char *argv[])
{
    setlocale (LC_ALL, "");
    bindtextdomain (PACKAGE, LOCALEDIR);
    textdomain (PACKAGE);

    printf( gettext( "Hello, world!\n" ) );

    return EXIT_SUCCESS;
}
